(function($) {
	$.fn.simplePopup = function() {
		// выравнивание по центру
		$.fn.center = function() {
			var popupMarginLeft = -this.width()/2;
			return this.css('margin-left', popupMarginLeft);
		}
		// общая функция скрытия
		function hide() {
			$('.popup-body, .popup').fadeOut(800, 0);
		}
		// закрытие по клавише Esc
		$('body').keyup(function(e) {
			if (e.keyCode == 27) {
				hide();
			}
		});
		// закрытие по фону и по крестику
		$('.popup-body, .popup-close').click(function() {
			hide();
			return false;
		});
		return this.each(function() {
			$(this).click(function() {
				$(".popup-body").fadeTo(800, 0.6); 
				$(".popup").center().fadeTo(800, 1);
				return false;		
			});
		});
	}
})(jQuery);
$(function() {
	$(".popup-anch a").simplePopup();
});